package cn.iocoder.yudao.module.ecw.convert.node;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.ecw.controller.admin.node.vo.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.node.NodeDO;

/**
 * 服务网点 Convert
 *
 * @author wlh
 */
@Mapper
public interface NodeConvert {

    NodeConvert INSTANCE = Mappers.getMapper(NodeConvert.class);

    NodeDO convert(NodeCreateReqVO bean);

    NodeDO convert(NodeUpdateReqVO bean);

    NodeRespVO convert(NodeDO bean);

    List<NodeRespVO> convertList(List<NodeDO> list);

    PageResult<NodeRespVO> convertPage(PageResult<NodeDO> page);

    List<NodeExcelVO> convertList02(List<NodeDO> list);

}
